export declare class SharedState<T> {
    private __value;
    constructor(initialValue: T);
    observe(cb: (value: T) => void): () => void;
    get value(): T;
    set value(newValue: T);
}
export declare const useSharedState: <T>(initialValue?: T) => (T | ((value: T) => void))[];
